#!/bin/bash

__LOG_ROTATE(){

	local rules dir

	rules="${1:-wildix/default}"
	dir='/etc/logrotate.d/'

	for rotate_rule in ${rules}; do
		[ -f "${dir}${rotate_rule}" ] && /usr/sbin/logrotate "${dir}${rotate_rule}"
	done

}

case "$1" in
	cron) __LOG_ROTATE "wms erlang wildix/default" ;;
	*)    __LOG_ROTATE "${1}" ;;
esac
